$(document).ready(function () {
  $(".tabsv1-ul li").click(function () {
    var tab_id = $(this).attr("data-tab");
    $(".tabsv1-ul li").removeClass("current");
    $(".tab-content").removeClass("current");
    $(this).addClass("current");
    $("#" + tab_id).addClass("current");
  });
  /* cart remove  items */
  $(".remove-btn").click(function (e) {
    e.preventDefault(); // Prevent default action of anchor tag
    $(this).closest(".cart-item-wrap").hide();
  });
  /* toogle */
  $(".filter-heading").click(function () {
    $(this).parent(".filter-group-item").toggleClass("pb-00");
    $(this).toggleClass("arrow-down");
    $(this).next(".filter-content").slideToggle("fast");
  });
  /*client */
  if ($(".client-logo").length > 0) {
    $(".client-logo").owlCarousel({
      loop: true,
      margin: 60,
      nav: false,
      dots: false,
      autoplay: true,
      autoplayTimeout: 3000,
      autoplaySpeed: 3000,
      slideTransition: "linear",
      autoplayHoverPause: true,
      responsive: {
        0: {
          items: 1,
        },
        600: {
          items: 3,
        },
        1000: {
          items: 6,
        },
      },
      animateOut: "linear",
      animateIn: "linear",
    });
  }
  // step us next
  var currentStep = 0;
  var steps = $(".step");
  var progressBarItems = $("#progressbar li");
  // Show the first step
  // $(steps[currentStep]).addClass("active");
  $(".btn-next").click(function () {
    if (currentStep < steps.length - 1) {
      $(steps[currentStep]).removeClass("active");
      $(progressBarItems[currentStep]).removeClass("active");
      currentStep++;
      $(steps[currentStep]).addClass("active");
      $(progressBarItems[currentStep]).addClass("active");
    }
  });
  $(".btn-prev").click(function () {
    if (currentStep > 0) {
      $(steps[currentStep]).removeClass("active");
      $(progressBarItems[currentStep]).removeClass("active");
      currentStep--;
      $(steps[currentStep]).addClass("active");
      $(progressBarItems[currentStep]).addClass("active");
    }
  });
  // search function js
  function searchItems() {
    let value = $(".searchbox").val().toLowerCase().trim();
    var anyMatchFound = false;
    $(".quote-listv1").each(function () {
      var text = $(this).find(".title-h2").text().toLowerCase();
      var match = text.includes(value);
      $(this).toggle(match);
      if (match) {
        anyMatchFound = true;
      }
    });
    $("#noMatchMessage").toggle(!anyMatchFound);
  }
  $(".searchbox").on("keyup", function () {
    searchItems();
  });
  $(".searchbox-container ").on("submit", function (e) {
    e.preventDefault();
    searchItems();
  });
  // search function end
});
// add more or remove */
function updateLimitMessage() {
  var rowCount = $(".addedrow").length;
 // console.log("Row count after update:", rowCount); // Debugging log
  if (rowCount >= 3) {
    $(".limit-message").removeClass("hidden");
  } else {
    $(".limit-message").addClass("hidden");
  }
}
function addRow() {
  var rowCount = $(".addedrow").length;
 // console.log("Row count before adding:", rowCount); // Debugging log
  if (rowCount < 3) {
    var newRow = `
          <div class="flex-js-b flex-acenter withlf addedrow">
              <p class="color-7c">Child’s age</p>
              <p class="color-7c">
                  <input type="text" class="control-v1" aria-describedby="My Age is">
                  <button type="button" class="remove-btn outlineicons">
                      <img src="./icons/remove.svg" width="16" height="16" alt="i-Broker seq"> Remove
                  </button>
              </p>
          </div>`;
    $(".rows-container").append(newRow);
   // console.log("Row added"); // Debugging log
    updateLimitMessage();
  }
}
function removeRow() {
  $(this).closest(".addedrow").remove();
 // console.log("Row removed"); // Debugging log
  updateLimitMessage();
}
$(document).ready(function () {
  $(".addchild").on("click", addRow);
  $(document).on("click", ".remove-btn", removeRow);
});
//step us
//modal js
function initializeModal(modalSelector, triggerSelector, closeButtonSelector) {
  var modal = document.querySelector(modalSelector);
  var triggers = document.querySelectorAll(triggerSelector);
  var closeButtons = document.querySelectorAll(closeButtonSelector);
  if (!modal || triggers.length === 0 || closeButtons.length === 0) {
    console.error(
      "Modal, triggers, or close buttons not found. Please check your selectors."
    );
    return;
  }
  function toggleModal() {
    console.log("Toggling modal visibility");
    modal.classList.toggle("cst-show-modal");
    if (modal.classList.contains("cst-show-modal")) {
      document.body.classList.add("body-overflow");
    } else {
      document.body.classList.remove("body-overflow");
    }
  }
  function windowOnClick(event) {
    if (event.target === modal) {
      toggleModal();
    }
  }
  triggers.forEach(function (trigger) {
    trigger.addEventListener("click", toggleModal);
  });
  closeButtons.forEach(function (closeButton) {
    closeButton.addEventListener("click", toggleModal);
  });
  window.addEventListener("click", windowOnClick);
}
// Initialize multiple modals with different selectors
initializeModal(".model-quote", ".quote-see", ".model-quote-close");
initializeModal(".model-email", ".quote-mail", ".model-email-close");
